org.apache.solr.search.facet

## Class AggValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.search.facet.AggValueSource

- Direct Known Subclasses:
    SimpleAggValueSource, StrAggValueSource

      public abstract class AggValueSource
      extends ValueSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggValueSource(String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FacetMerger` | `createFacetMerger(Object prototype)`
    `SlotAcc` | `createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext, int numDocs, int numSlots)`
    `boolean` | `equals(Object o)`
    `ValueSource[]` | `getChildren()`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)`
    `String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, description, getSortField, hashCode, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

  - ### Constructor Detail

    - #### AggValueSource

          public AggValueSource(String name)

  - ### Method Detail

    - #### name

          public String name()

    - #### getChildren

          public ValueSource[] getChildren()

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### createSlotAcc

          public SlotAcc createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext,
                                       int numDocs,
                                       int numSlots)
                                throws IOException

      Throws:
        `IOException`

    - #### createFacetMerger

          public abstract FacetMerger createFacetMerger(Object prototype)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.